%define drupaldir %{_datadir}/drupal6
Name: drupal6-date
Version:  2.7
Release:  1%{?dist}
Summary:  This package contains both the Date module and a Date API module

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/date
Source0: http://ftp.drupal.org/files/projects/date-6.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
#Patch0: date-6.x-2.x-549884-30.patch

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal6 >= 6.0, drupal6-cck, php >= 5.2
Obsoletes: drupal-date <= 6.x.2.4

%description
The Date API is available to be used by other modules and is not dependent 
on having CCK installed.  The date module is a flexible date/time field 
type for the cck content module which requires the CCK content.module and 
the Date API module. 

%prep

%setup -qn date

#%patch0 -p0

%build

cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/date
cp -pr * %{buildroot}%{drupaldir}/modules/date

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt INSTALL.txt %{name}-fedora-README.txt
%{drupaldir}/modules/date
%exclude %{drupaldir}/modules/date/CHANGELOG.txt
%exclude %{drupaldir}/modules/date/LICENSE.txt
%exclude %{drupaldir}/modules/date/INSTALL.txt
%exclude %{drupaldir}/modules/date/%{name}-fedora-README.txt
%exclude %{drupaldir}/modules/date/date_php4/
%exclude %{drupaldir}/modules/date/help/date-views.html

%changelog
* Fri Feb 11 2011 Jon Ciesla <limb@jcomserv.net> - 2.7-1
- Excluded empty file.
- Fixed PHP requires.
- Updated to new upstream.

* Thu Jan 20 2011 Jon Ciesla <limb@jcomserv.net> - 2.4-2
- Corrected obsoletes.

* Wed Jan 19 2011 Jon Ciesla <limb@jcomserv.net> - 2.4-1
- Fixed version, license.

* Fri Dec 03 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.4-2
- Fixed README naming.

* Wed Jan 27 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.4-1
- Patch for PHP 5.3, BZ 559255.

* Wed Sep 16 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.2.4-0
- Update to new version.
- Fix for DRUPAL-SA-CONTRIB-2009-057.

* Wed Jul 29 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.2.3-0
- Update to new version.
- Fix for DRUPAL-SA-CONTRIB-2009-046.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.2.0-2.rc4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.2.0-2.rc4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 04 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-2.rc4
- Update to new version.

* Fri Aug 22 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-2.rc2
- Update to new version.
- Exclude date_php4.

* Thu Aug 21 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-1.beta3
- Review fixes.

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-0.beta3
- Updated for Drupal 6.x.

* Tue Oct 30 2007 Jon Ciesla <limb@jcomserv.net> - 1.7-1
- Initial packaging.
